Subject: Re: [PATCHv2 0/8] [POWERPC] 8xx cleanups

From: Sam Ravnborg <[email-masked]>
Date: Wed, 23 Jan 2008 21:12:46 +0100

On Wed, Jan 23, 2008 at 01:35:41PM -0600, Josh Boyer wrote:
> On Wed, 23 Jan 2008 19:00:12 +0100
> Sam Ravnborg <[email-masked]> wrote:
> 
> > On Wed, Jan 23, 2008 at 11:31:46AM -0600, Jon Loeliger wrote:
> > > Sam Ravnborg wrote:
> > > >>What impact do the have on boards in arch/ppc being able to build?
> > > >
> > > >Byt the way what are the plans for powerpc?
> > > >We have:
> > > >arch/ppc
> > > >arch/ppc64
> > > >arch/powerpc
> > > >
> > > >It was my understanding that arch/powerpc was supposed
> > > >to be the future unified powerpc architecture but it
> > > >does not even provide a defconfig.
> > > >
> > > >And I do not see too much happening to do so - but that maybe
> > > >because I looked at a wrong place.
> > > 
> > > You must have looked in the wrong place. :-)
> > > 
> > > arch/ppc is scheduled for removal from mainline in June.
> > Good to hear.
> > 
> > > arch/powerpc is under significant development, with lots
> > > of defconfigs in arch/powerpc/configs.
> > Double checked - it was my build script that used ARCH=ppc
> > Now I just need to build another toolchain as the ppc750 could not build
> > the defconfig. crosstool is my friend here.
> 
> You'll need mkimage if you ever venture into some of the embedded board
> configs.  Just an FYI.
I known - for now I'm 120% occupied getting modpost in shape and will
return to the mkimage thread when below 100%.

	Sam